# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
from ._models import (
    AdditionalUnattendContent,
    ApiEntityReference,
    ApiError,
    ApiErrorBase,
    Resource,
    AvailabilitySet,
    AvailabilitySetListResult,
    BootDiagnostics,
    BootDiagnosticsInstanceView,
    ComputeLongRunningOperationProperties,
    DataDisk,
    DataDiskImage,
    DiagnosticsProfile,
    DiskEncryptionSettings,
    DiskInstanceView,
    HardwareProfile,
    SubResource,
    ImageReference,
    InnerError,
    InstanceViewStatus,
    KeyVaultKeyReference,
    KeyVaultSecretReference,
    LinuxConfiguration,
    ListUsagesResult,
    NetworkInterfaceReference,
    NetworkProfile,
    OSDisk,
    OSDiskImage,
    OSProfile,
    OperationStatusResponse,
    Plan,
    PurchasePlan,
    Sku,
    SshConfiguration,
    SshPublicKey,
    StorageProfile,
    UpdateResource,
    UpgradePolicy,
    Usage,
    UsageName,
    VaultCertificate,
    VaultSecretGroup,
    VirtualHardDisk,
    VirtualMachine,
    VirtualMachineAgentInstanceView,
    VirtualMachineCaptureParameters,
    VirtualMachineCaptureResult,
    ResourceWithOptionalLocation,
    VirtualMachineExtension,
    VirtualMachineExtensionHandlerInstanceView,
    VirtualMachineExtensionImage,
    VirtualMachineExtensionInstanceView,
    VirtualMachineExtensionUpdate,
    VirtualMachineImageResource,
    VirtualMachineImage,
    VirtualMachineInstanceView,
    VirtualMachineListResult,
    VirtualMachineScaleSet,
    SubResourceReadOnly,
    VirtualMachineScaleSetExtension,
    VirtualMachineScaleSetExtensionProfile,
    VirtualMachineScaleSetIPConfiguration,
    VirtualMachineScaleSetInstanceView,
    VirtualMachineScaleSetInstanceViewStatusesSummary,
    VirtualMachineScaleSetListResult,
    VirtualMachineScaleSetListSkusResult,
    VirtualMachineScaleSetListWithLinkResult,
    VirtualMachineScaleSetNetworkConfiguration,
    VirtualMachineScaleSetNetworkProfile,
    VirtualMachineScaleSetOSDisk,
    VirtualMachineScaleSetOSProfile,
    VirtualMachineScaleSetSku,
    VirtualMachineScaleSetSkuCapacity,
    VirtualMachineScaleSetStorageProfile,
    VirtualMachineScaleSetVM,
    VirtualMachineScaleSetVMExtensionsSummary,
    VirtualMachineScaleSetVMInstanceIDs,
    VirtualMachineScaleSetVMInstanceRequiredIDs,
    VirtualMachineScaleSetVMInstanceView,
    VirtualMachineScaleSetVMListResult,
    VirtualMachineScaleSetVMProfile,
    VirtualMachineSize,
    VirtualMachineSizeListResult,
    VirtualMachineStatusCodeCount,
    WinRMConfiguration,
    WinRMListener,
    WindowsConfiguration,
    VirtualMachineExtensionsListResult,
    VirtualMachineIdentity,
    VirtualMachineScaleSetIdentity,
    AccessUri,
    CreationData,
    Disk,
    DiskList,
    DiskUpdate,
    EncryptionSettings,
    GrantAccessData,
    Image,
    ImageDisk,
    ImageDataDisk,
    ImageDiskReference,
    ImageListResult,
    ImageOSDisk,
    ImageStorageProfile,
    KeyVaultAndKeyReference,
    KeyVaultAndSecretReference,
    ManagedDiskParameters,
    ResourceUpdate,
    Snapshot,
    SnapshotList,
    SnapshotUpdate,
    SourceVault,
    VirtualMachineScaleSetDataDisk,
    VirtualMachineScaleSetManagedDiskParameters,
    DiskSku,
    MaintenanceRedeployStatus,
    ResourceSku,
    ResourceSkuCapabilities,
    ResourceSkuCapacity,
    ResourceSkuCosts,
    ResourceSkuRestrictions,
    ResourceSkusResult,
    RollingUpgradePolicy,
    RollingUpgradeProgressInfo,
    RollingUpgradeRunningStatus,
    RollingUpgradeStatusInfo,
    RunCommandDocumentBase,
    RunCommandDocument,
    RunCommandInput,
    RunCommandInputParameter,
    RunCommandListResult,
    RunCommandParameterDefinition,
    RunCommandResult,
    VirtualMachineHealthStatus,
    VirtualMachineScaleSetExtensionListResult,
    VirtualMachineScaleSetNetworkConfigurationDnsSettings,
    VirtualMachineScaleSetPublicIPAddressConfiguration,
    VirtualMachineScaleSetPublicIPAddressConfigurationDnsSettings,
    VirtualMachineScaleSetUpdate,
    VirtualMachineScaleSetUpdateIPConfiguration,
    VirtualMachineScaleSetUpdateNetworkConfiguration,
    VirtualMachineScaleSetUpdateNetworkProfile,
    VirtualMachineScaleSetUpdateOSDisk,
    VirtualMachineScaleSetUpdateOSProfile,
    VirtualMachineScaleSetUpdatePublicIPAddressConfiguration,
    VirtualMachineScaleSetUpdateStorageProfile,
    VirtualMachineScaleSetUpdateVMProfile,
    ResourceSkuLocationInfo,
    ResourceSkuRestrictionInfo,
    AutoOSUpgradePolicy,
    AvailabilitySetUpdate,
    ComputeOperationListResult,
    ComputeOperationValue,
    ImageUpdate,
    LogAnalyticsInputBase,
    LogAnalyticsOperationResult,
    LogAnalyticsOutput,
    RecoveryWalkResponse,
    RequestRateByIntervalInput,
    RollbackStatusInfo,
    ThrottledRequestsInput,
    UpgradeOperationHistoricalStatusInfo,
    UpgradeOperationHistoricalStatusInfoProperties,
    UpgradeOperationHistoryStatus,
    VirtualMachineScaleSetListOSUpgradeHistory,
    VirtualMachineUpdate,
    ProximityPlacementGroup,
    ProximityPlacementGroupListResult,
    ProximityPlacementGroupUpdate,
    SnapshotSku,
    VirtualMachineScaleSetIpTag,
    AdditionalCapabilities,
    DiffDiskSettings,
    Disallowed,
    Gallery,
    GalleryArtifactPublishingProfileBase,
    GalleryArtifactSource,
    GalleryDiskImage,
    GalleryDataDiskImage,
    GalleryIdentifier,
    GalleryImage,
    GalleryImageIdentifier,
    GalleryImageList,
    GalleryImageVersion,
    GalleryImageVersionList,
    GalleryImageVersionPublishingProfile,
    GalleryImageVersionStorageProfile,
    GalleryList,
    GalleryOSDiskImage,
    ImagePurchasePlan,
    ManagedArtifact,
    RecommendedMachineConfiguration,
    RegionalReplicationStatus,
    ReplicationStatus,
    ResourceRange,
    TargetRegion,
    UserAssignedIdentitiesValue,
    VirtualMachineReimageParameters,
    VirtualMachineScaleSetIdentityUserAssignedIdentitiesValue,
    VirtualMachineScaleSetVMReimageParameters,
    VirtualMachineScaleSetReimageParameters,
    EncryptionSettingsCollection,
    EncryptionSettingsElement,
    AutomaticOSUpgradePolicy,
    AutomaticOSUpgradeProperties,
    AutomaticRepairsPolicy,
    BillingProfile,
    DedicatedHost,
    DedicatedHostAllocatableVM,
    DedicatedHostAvailableCapacity,
    DedicatedHostGroup,
    DedicatedHostGroupListResult,
    DedicatedHostGroupUpdate,
    DedicatedHostInstanceView,
    DedicatedHostListResult,
    DedicatedHostUpdate,
    GalleryApplication,
    GalleryApplicationList,
    GalleryApplicationVersion,
    GalleryApplicationVersionList,
    GalleryApplicationVersionPublishingProfile,
    ScaleInPolicy,
    ScheduledEventsProfile,
    TerminateNotificationProfile,
    UserArtifactManage,
    UserArtifactSource,
    VMScaleSetConvertToSinglePlacementGroupInput,
    VirtualMachineScaleSetVMNetworkProfileConfiguration,
    VirtualMachineScaleSetVMProtectionPolicy,
    ResourceSkuZoneDetails,
    DiskEncryptionSet,
    DiskEncryptionSetList,
    DiskEncryptionSetParameters,
    DiskEncryptionSetUpdate,
    Encryption,
    EncryptionSetIdentity,
    UpdateResourceDefinition,
    GalleryApplicationUpdate,
    GalleryApplicationVersionUpdate,
    GalleryArtifactVersionSource,
    GalleryImageUpdate,
    GalleryImageVersionUpdate,
    GalleryUpdate,
    SubResourceWithColocationStatus,
    VirtualMachineScaleSetExtensionUpdate,
    ShareInfoElement,
    DiskImageEncryption,
    DataDiskImageEncryption,
    EncryptionImages,
    OSDiskImageEncryption,
    OrchestrationServiceStateInput,
    OrchestrationServiceSummary,
    SshPublicKeyGenerateKeyPairResult,
    SshPublicKeyResource,
    SshPublicKeyUpdateResource,
    SshPublicKeysGroupListResult,
    DiskAccess,
    DiskAccessList,
    DiskAccessUpdate,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkServiceConnectionState,
    AvailablePatchSummary,
    DedicatedHostGroupInstanceView,
    DedicatedHostInstanceViewWithName,
    DisallowedConfiguration,
    LastPatchInstallationSummary,
    PatchSettings,
    RetrieveBootDiagnosticsDataResult,
    SecurityProfile,
    VirtualMachineAssessPatchesResult,
    VirtualMachinePatchStatus,
    VirtualMachineRunCommand,
    VirtualMachineRunCommandInstanceView,
    VirtualMachineRunCommandScriptSource,
    VirtualMachineRunCommandUpdate,
    VirtualMachineRunCommandsListResult,
    VirtualMachineScaleSetVMExtension,
    VirtualMachineScaleSetVMExtensionUpdate,
    VirtualMachineScaleSetVMExtensionsListResult,
    VirtualMachineSoftwarePatchProperties,
    ResourceUriList,
    ProxyOnlyResource,
    DiskRestorePoint,
    DiskRestorePointList,
    ExtendedLocation,
    GalleryImageFeature,
    KeyForDiskEncryptionSet,
    PirResource,
    PirSharedGalleryResource,
    PrivateEndpointConnectionListResult,
    SharedGallery,
    SharedGalleryImage,
    SharedGalleryImageList,
    SharedGalleryImageVersion,
    SharedGalleryImageVersionList,
    SharedGalleryList,
    SharingProfile,
    SharingProfileGroup,
    SharingUpdate,
    CloudService,
    CloudServiceExtensionProfile,
    CloudServiceExtensionProperties,
    CloudServiceInstanceView,
    CloudServiceListResult,
    CloudServiceNetworkProfile,
    CloudServiceOsProfile,
    CloudServiceProperties,
    CloudServiceRole,
    CloudServiceRoleListResult,
    CloudServiceRoleProfile,
    CloudServiceRoleProfileProperties,
    CloudServiceRoleProperties,
    CloudServiceRoleSku,
    CloudServiceUpdate,
    CloudServiceVaultAndSecretReference,
    CloudServiceVaultCertificate,
    CloudServiceVaultSecretGroup,
    Extension,
    InstanceSku,
    InstanceViewStatusesSummary,
    LoadBalancerConfiguration,
    LoadBalancerConfigurationProperties,
    LoadBalancerFrontendIPConfiguration,
    LoadBalancerFrontendIPConfigurationProperties,
    ResourceInstanceViewStatus,
    RoleInstance,
    RoleInstanceListResult,
    RoleInstanceNetworkProfile,
    RoleInstanceProperties,
    RoleInstanceView,
    RoleInstances,
    StatusCodeCount,
    UpdateDomain,
    UpdateDomainListResult,
    DiskSecurityProfile,
    LinuxParameters,
    LinuxPatchSettings,
    PatchInstallationDetail,
    PropertyUpdatesInProgress,
    PurchasePlanAutoGenerated,
    UefiSettings,
    VirtualMachineImageFeature,
    VirtualMachineInstallPatchesParameters,
    VirtualMachineInstallPatchesResult,
    WindowsParameters,
    ApiErrorAutoGenerated,
    ApiErrorAutoGenerated2,
    CloudErrorAutoGenerated,
    CloudErrorAutoGenerated2,
    OSFamily,
    OSFamilyListResult,
    OSFamilyProperties,
    OSVersion,
    OSVersionListResult,
    OSVersionProperties,
    OSVersionPropertiesBase,
    ProxyResource,
    PublicIPAddressSku,
    RestorePoint,
    RestorePointCollection,
    RestorePointCollectionListResult,
    RestorePointCollectionSourceProperties,
    RestorePointCollectionUpdate,
    RestorePointSourceMetadata,
    RestorePointSourceVMDataDisk,
    RestorePointSourceVMOSDisk,
    RestorePointSourceVMStorageProfile,
    VirtualMachineIpTag,
    VirtualMachineNetworkInterfaceConfiguration,
    VirtualMachineNetworkInterfaceDnsSettingsConfiguration,
    VirtualMachineNetworkInterfaceIPConfiguration,
    VirtualMachinePublicIPAddressConfiguration,
    VirtualMachinePublicIPAddressDnsSettingsConfiguration,
    CapacityReservation,
    CapacityReservationGroup,
    CapacityReservationGroupInstanceView,
    CapacityReservationGroupListResult,
    CapacityReservationGroupUpdate,
    CapacityReservationInstanceView,
    CapacityReservationInstanceViewWithName,
    CapacityReservationListResult,
    CapacityReservationProfile,
    CapacityReservationUpdate,
    CapacityReservationUtilization,
    SpotRestorePolicy,
    SupportedCapabilities,
    ApplicationProfile,
    PirCommunityGalleryResource,
    CommunityGallery,
    CommunityGalleryImage,
    CommunityGalleryImageVersion,
    SoftDeletePolicy,
    VMGalleryApplication,
    VMSizeProperties,
    CommunityGalleryInfo,
    GalleryExtendedLocation,
    GalleryTargetExtendedLocation,
    OSDiskImageSecurityProfile,
    RegionalSharingStatus,
    SharingStatus,
    DiskRestorePointInstanceView,
    DiskRestorePointReplicationStatus,
    RestorePointInstanceView,
    VMDiskSecurityProfile,
    VirtualMachineScaleSetHardwareProfile,
    CommunityGalleryImageList,
    CommunityGalleryImageVersionList,
    SharedGalleryDiskImage,
    SharedGalleryDataDiskImage,
    SharedGalleryImageVersionStorageProfile,
    SharedGalleryOSDiskImage,
    UserArtifactSettings,
    DedicatedHostGroupPropertiesAdditionalCapabilities,
    LinuxVMGuestPatchAutomaticByPlatformSettings,
    ProximityPlacementGroupPropertiesIntent,
    VmImagesInEdgeZoneListResult,
    WindowsVMGuestPatchAutomaticByPlatformSettings,
    CopyCompletionError,
    GalleryApplicationCustomAction,
    GalleryApplicationCustomActionParameter,
    GalleryArtifactSafetyProfileBase,
    GalleryApplicationVersionSafetyProfile,
    GalleryArtifactVersionFullSource,
    GalleryDiskImageSource,
    GalleryImageVersionSafetyProfile,
    LatestGalleryImageVersion,
    PolicyViolation,
    SystemData,
    PriorityMixPolicy,
    LoadBalancerFrontendIpConfiguration,
    LoadBalancerFrontendIpConfigurationProperties,
    AlternativeOption,
    ImageDeprecationStatus,
    OSImageNotificationProfile,
    OSProfileProvisioningData,
    ServiceArtifactReference,
)

from ._enums import (
    CachingTypes,
    DiskCreateOptionTypes,
    OperatingSystemTypes,
    ProtocolTypes,
    SettingNames,
    StatusLevelTypes,
    UpgradeMode,
    VirtualMachineScaleSetSkuScaleType,
    VirtualMachineSizeTypes,
    AccessLevel,
    DiskCreateOption,
    OperatingSystemStateTypes,
    StorageAccountTypes,
    IPVersion,
    MaintenanceOperationResultCodeTypes,
    ResourceSkuCapacityScaleType,
    ResourceSkuRestrictionsReasonCode,
    RollingUpgradeActionType,
    RollingUpgradeStatusCode,
    ResourceSkuRestrictionsType,
    IntervalInMins,
    ResourceIdentityType,
    UpgradeOperationInvoker,
    UpgradeState,
    VirtualMachineEvictionPolicyTypes,
    VirtualMachinePriorityTypes,
    ProximityPlacementGroupType,
    SnapshotStorageAccountTypes,
    AggregatedReplicationState,
    AvailabilitySetSkuTypes,
    DiffDiskOptions,
    DiskStorageAccountTypes,
    GalleryImagePropertiesProvisioningState,
    GalleryImageVersionPropertiesProvisioningState,
    GalleryPropertiesProvisioningState,
    HostCaching,
    ReplicationState,
    ReplicationStatusTypes,
    DiskState,
    HyperVGeneration,
    DedicatedHostLicenseTypes,
    GalleryApplicationVersionPropertiesProvisioningState,
    HyperVGenerationType,
    HyperVGenerationTypes,
    StorageAccountType,
    VirtualMachineScaleSetScaleInRules,
    DiskEncryptionSetIdentityType,
    EncryptionType,
    DiffDiskPlacement,
    OrchestrationServiceNames,
    OrchestrationServiceState,
    OrchestrationServiceStateAction,
    NetworkAccessPolicy,
    PrivateEndpointConnectionProvisioningState,
    PrivateEndpointServiceConnectionStatus,
    ExecutionState,
    InGuestPatchMode,
    PatchAssessmentState,
    PatchOperationStatus,
    RebootStatus,
    SoftwareUpdateRebootBehavior,
    VmDiskTypes,
    DiskEncryptionSetType,
    ExtendedLocationTypes,
    GallerySharingPermissionTypes,
    SelectPermissions,
    SharedToValues,
    SharingProfileGroupTypes,
    SharingUpdateOperationTypes,
    CloudServiceUpgradeMode,
    DiskDetachOptionTypes,
    DiskSecurityTypes,
    LinuxVMGuestPatchMode,
    OrchestrationMode,
    PatchInstallationState,
    SecurityTypes,
    VMGuestPatchClassificationLinux,
    VMGuestPatchClassificationWindows,
    VMGuestPatchRebootBehavior,
    VMGuestPatchRebootSetting,
    VMGuestPatchRebootStatus,
    WindowsVMGuestPatchMode,
    ConsistencyModeTypes,
    DeleteOptions,
    DiskDeleteOptionTypes,
    ExpandTypesForGetVMScaleSets,
    IPVersions,
    InstanceViewTypes,
    LinuxPatchAssessmentMode,
    NetworkApiVersion,
    OperatingSystemType,
    PublicIPAddressSkuName,
    PublicIPAddressSkuTier,
    PublicIPAllocationMethod,
    RestorePointCollectionExpandOptions,
    WindowsPatchAssessmentMode,
    CapacityReservationGroupInstanceViewTypes,
    CapacityReservationInstanceViewTypes,
    ExpandTypesForGetCapacityReservationGroups,
    PublicNetworkAccess,
    ExtendedLocationType,
    ReplicationMode,
    Architecture,
    ConfidentialVMEncryptionType,
    GalleryExpandParams,
    GalleryExtendedLocationType,
    SharingState,
    ArchitectureTypes,
    RepairAction,
    RestorePointExpandOptions,
    SecurityEncryptionTypes,
    DataAccessAuthMode,
    GalleryProvisioningState,
    SharedGalleryHostCaching,
    LinuxVMGuestPatchAutomaticByPlatformRebootSetting,
    WindowsVMGuestPatchAutomaticByPlatformRebootSetting,
    CopyCompletionErrorReason,
    GalleryApplicationCustomActionParameterType,
    PolicyViolationCategory,
    CloudServiceSlotType,
    DiskControllerTypes,
    AlternativeType,
    ImageState,
)

from ._patch import __all__ as _patch_all
from ._patch import *  # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AdditionalUnattendContent",
    "ApiEntityReference",
    "ApiError",
    "ApiErrorBase",
    "Resource",
    "AvailabilitySet",
    "AvailabilitySetListResult",
    "BootDiagnostics",
    "BootDiagnosticsInstanceView",
    "ComputeLongRunningOperationProperties",
    "DataDisk",
    "DataDiskImage",
    "DiagnosticsProfile",
    "DiskEncryptionSettings",
    "DiskInstanceView",
    "HardwareProfile",
    "SubResource",
    "ImageReference",
    "InnerError",
    "InstanceViewStatus",
    "KeyVaultKeyReference",
    "KeyVaultSecretReference",
    "LinuxConfiguration",
    "ListUsagesResult",
    "NetworkInterfaceReference",
    "NetworkProfile",
    "OSDisk",
    "OSDiskImage",
    "OSProfile",
    "OperationStatusResponse",
    "Plan",
    "PurchasePlan",
    "Sku",
    "SshConfiguration",
    "SshPublicKey",
    "StorageProfile",
    "UpdateResource",
    "UpgradePolicy",
    "Usage",
    "UsageName",
    "VaultCertificate",
    "VaultSecretGroup",
    "VirtualHardDisk",
    "VirtualMachine",
    "VirtualMachineAgentInstanceView",
    "VirtualMachineCaptureParameters",
    "VirtualMachineCaptureResult",
    "ResourceWithOptionalLocation",
    "VirtualMachineExtension",
    "VirtualMachineExtensionHandlerInstanceView",
    "VirtualMachineExtensionImage",
    "VirtualMachineExtensionInstanceView",
    "VirtualMachineExtensionUpdate",
    "VirtualMachineImageResource",
    "VirtualMachineImage",
    "VirtualMachineInstanceView",
    "VirtualMachineListResult",
    "VirtualMachineScaleSet",
    "SubResourceReadOnly",
    "VirtualMachineScaleSetExtension",
    "VirtualMachineScaleSetExtensionProfile",
    "VirtualMachineScaleSetIPConfiguration",
    "VirtualMachineScaleSetInstanceView",
    "VirtualMachineScaleSetInstanceViewStatusesSummary",
    "VirtualMachineScaleSetListResult",
    "VirtualMachineScaleSetListSkusResult",
    "VirtualMachineScaleSetListWithLinkResult",
    "VirtualMachineScaleSetNetworkConfiguration",
    "VirtualMachineScaleSetNetworkProfile",
    "VirtualMachineScaleSetOSDisk",
    "VirtualMachineScaleSetOSProfile",
    "VirtualMachineScaleSetSku",
    "VirtualMachineScaleSetSkuCapacity",
    "VirtualMachineScaleSetStorageProfile",
    "VirtualMachineScaleSetVM",
    "VirtualMachineScaleSetVMExtensionsSummary",
    "VirtualMachineScaleSetVMInstanceIDs",
    "VirtualMachineScaleSetVMInstanceRequiredIDs",
    "VirtualMachineScaleSetVMInstanceView",
    "VirtualMachineScaleSetVMListResult",
    "VirtualMachineScaleSetVMProfile",
    "VirtualMachineSize",
    "VirtualMachineSizeListResult",
    "VirtualMachineStatusCodeCount",
    "WinRMConfiguration",
    "WinRMListener",
    "WindowsConfiguration",
    "VirtualMachineExtensionsListResult",
    "VirtualMachineIdentity",
    "VirtualMachineScaleSetIdentity",
    "AccessUri",
    "CreationData",
    "Disk",
    "DiskList",
    "DiskUpdate",
    "EncryptionSettings",
    "GrantAccessData",
    "Image",
    "ImageDisk",
    "ImageDataDisk",
    "ImageDiskReference",
    "ImageListResult",
    "ImageOSDisk",
    "ImageStorageProfile",
    "KeyVaultAndKeyReference",
    "KeyVaultAndSecretReference",
    "ManagedDiskParameters",
    "ResourceUpdate",
    "Snapshot",
    "SnapshotList",
    "SnapshotUpdate",
    "SourceVault",
    "VirtualMachineScaleSetDataDisk",
    "VirtualMachineScaleSetManagedDiskParameters",
    "DiskSku",
    "MaintenanceRedeployStatus",
    "ResourceSku",
    "ResourceSkuCapabilities",
    "ResourceSkuCapacity",
    "ResourceSkuCosts",
    "ResourceSkuRestrictions",
    "ResourceSkusResult",
    "RollingUpgradePolicy",
    "RollingUpgradeProgressInfo",
    "RollingUpgradeRunningStatus",
    "RollingUpgradeStatusInfo",
    "RunCommandDocumentBase",
    "RunCommandDocument",
    "RunCommandInput",
    "RunCommandInputParameter",
    "RunCommandListResult",
    "RunCommandParameterDefinition",
    "RunCommandResult",
    "VirtualMachineHealthStatus",
    "VirtualMachineScaleSetExtensionListResult",
    "VirtualMachineScaleSetNetworkConfigurationDnsSettings",
    "VirtualMachineScaleSetPublicIPAddressConfiguration",
    "VirtualMachineScaleSetPublicIPAddressConfigurationDnsSettings",
    "VirtualMachineScaleSetUpdate",
    "VirtualMachineScaleSetUpdateIPConfiguration",
    "VirtualMachineScaleSetUpdateNetworkConfiguration",
    "VirtualMachineScaleSetUpdateNetworkProfile",
    "VirtualMachineScaleSetUpdateOSDisk",
    "VirtualMachineScaleSetUpdateOSProfile",
    "VirtualMachineScaleSetUpdatePublicIPAddressConfiguration",
    "VirtualMachineScaleSetUpdateStorageProfile",
    "VirtualMachineScaleSetUpdateVMProfile",
    "ResourceSkuLocationInfo",
    "ResourceSkuRestrictionInfo",
    "AutoOSUpgradePolicy",
    "AvailabilitySetUpdate",
    "ComputeOperationListResult",
    "ComputeOperationValue",
    "ImageUpdate",
    "LogAnalyticsInputBase",
    "LogAnalyticsOperationResult",
    "LogAnalyticsOutput",
    "RecoveryWalkResponse",
    "RequestRateByIntervalInput",
    "RollbackStatusInfo",
    "ThrottledRequestsInput",
    "UpgradeOperationHistoricalStatusInfo",
    "UpgradeOperationHistoricalStatusInfoProperties",
    "UpgradeOperationHistoryStatus",
    "VirtualMachineScaleSetListOSUpgradeHistory",
    "VirtualMachineUpdate",
    "ProximityPlacementGroup",
    "ProximityPlacementGroupListResult",
    "ProximityPlacementGroupUpdate",
    "SnapshotSku",
    "VirtualMachineScaleSetIpTag",
    "AdditionalCapabilities",
    "DiffDiskSettings",
    "Disallowed",
    "Gallery",
    "GalleryArtifactPublishingProfileBase",
    "GalleryArtifactSource",
    "GalleryDiskImage",
    "GalleryDataDiskImage",
    "GalleryIdentifier",
    "GalleryImage",
    "GalleryImageIdentifier",
    "GalleryImageList",
    "GalleryImageVersion",
    "GalleryImageVersionList",
    "GalleryImageVersionPublishingProfile",
    "GalleryImageVersionStorageProfile",
    "GalleryList",
    "GalleryOSDiskImage",
    "ImagePurchasePlan",
    "ManagedArtifact",
    "RecommendedMachineConfiguration",
    "RegionalReplicationStatus",
    "ReplicationStatus",
    "ResourceRange",
    "TargetRegion",
    "UserAssignedIdentitiesValue",
    "VirtualMachineReimageParameters",
    "VirtualMachineScaleSetIdentityUserAssignedIdentitiesValue",
    "VirtualMachineScaleSetVMReimageParameters",
    "VirtualMachineScaleSetReimageParameters",
    "EncryptionSettingsCollection",
    "EncryptionSettingsElement",
    "AutomaticOSUpgradePolicy",
    "AutomaticOSUpgradeProperties",
    "AutomaticRepairsPolicy",
    "BillingProfile",
    "DedicatedHost",
    "DedicatedHostAllocatableVM",
    "DedicatedHostAvailableCapacity",
    "DedicatedHostGroup",
    "DedicatedHostGroupListResult",
    "DedicatedHostGroupUpdate",
    "DedicatedHostInstanceView",
    "DedicatedHostListResult",
    "DedicatedHostUpdate",
    "GalleryApplication",
    "GalleryApplicationList",
    "GalleryApplicationVersion",
    "GalleryApplicationVersionList",
    "GalleryApplicationVersionPublishingProfile",
    "ScaleInPolicy",
    "ScheduledEventsProfile",
    "TerminateNotificationProfile",
    "UserArtifactManage",
    "UserArtifactSource",
    "VMScaleSetConvertToSinglePlacementGroupInput",
    "VirtualMachineScaleSetVMNetworkProfileConfiguration",
    "VirtualMachineScaleSetVMProtectionPolicy",
    "ResourceSkuZoneDetails",
    "DiskEncryptionSet",
    "DiskEncryptionSetList",
    "DiskEncryptionSetParameters",
    "DiskEncryptionSetUpdate",
    "Encryption",
    "EncryptionSetIdentity",
    "UpdateResourceDefinition",
    "GalleryApplicationUpdate",
    "GalleryApplicationVersionUpdate",
    "GalleryArtifactVersionSource",
    "GalleryImageUpdate",
    "GalleryImageVersionUpdate",
    "GalleryUpdate",
    "SubResourceWithColocationStatus",
    "VirtualMachineScaleSetExtensionUpdate",
    "ShareInfoElement",
    "DiskImageEncryption",
    "DataDiskImageEncryption",
    "EncryptionImages",
    "OSDiskImageEncryption",
    "OrchestrationServiceStateInput",
    "OrchestrationServiceSummary",
    "SshPublicKeyGenerateKeyPairResult",
    "SshPublicKeyResource",
    "SshPublicKeyUpdateResource",
    "SshPublicKeysGroupListResult",
    "DiskAccess",
    "DiskAccessList",
    "DiskAccessUpdate",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkServiceConnectionState",
    "AvailablePatchSummary",
    "DedicatedHostGroupInstanceView",
    "DedicatedHostInstanceViewWithName",
    "DisallowedConfiguration",
    "LastPatchInstallationSummary",
    "PatchSettings",
    "RetrieveBootDiagnosticsDataResult",
    "SecurityProfile",
    "VirtualMachineAssessPatchesResult",
    "VirtualMachinePatchStatus",
    "VirtualMachineRunCommand",
    "VirtualMachineRunCommandInstanceView",
    "VirtualMachineRunCommandScriptSource",
    "VirtualMachineRunCommandUpdate",
    "VirtualMachineRunCommandsListResult",
    "VirtualMachineScaleSetVMExtension",
    "VirtualMachineScaleSetVMExtensionUpdate",
    "VirtualMachineScaleSetVMExtensionsListResult",
    "VirtualMachineSoftwarePatchProperties",
    "ResourceUriList",
    "ProxyOnlyResource",
    "DiskRestorePoint",
    "DiskRestorePointList",
    "ExtendedLocation",
    "GalleryImageFeature",
    "KeyForDiskEncryptionSet",
    "PirResource",
    "PirSharedGalleryResource",
    "PrivateEndpointConnectionListResult",
    "SharedGallery",
    "SharedGalleryImage",
    "SharedGalleryImageList",
    "SharedGalleryImageVersion",
    "SharedGalleryImageVersionList",
    "SharedGalleryList",
    "SharingProfile",
    "SharingProfileGroup",
    "SharingUpdate",
    "CloudService",
    "CloudServiceExtensionProfile",
    "CloudServiceExtensionProperties",
    "CloudServiceInstanceView",
    "CloudServiceListResult",
    "CloudServiceNetworkProfile",
    "CloudServiceOsProfile",
    "CloudServiceProperties",
    "CloudServiceRole",
    "CloudServiceRoleListResult",
    "CloudServiceRoleProfile",
    "CloudServiceRoleProfileProperties",
    "CloudServiceRoleProperties",
    "CloudServiceRoleSku",
    "CloudServiceUpdate",
    "CloudServiceVaultAndSecretReference",
    "CloudServiceVaultCertificate",
    "CloudServiceVaultSecretGroup",
    "Extension",
    "InstanceSku",
    "InstanceViewStatusesSummary",
    "LoadBalancerConfiguration",
    "LoadBalancerConfigurationProperties",
    "LoadBalancerFrontendIPConfiguration",
    "LoadBalancerFrontendIPConfigurationProperties",
    "ResourceInstanceViewStatus",
    "RoleInstance",
    "RoleInstanceListResult",
    "RoleInstanceNetworkProfile",
    "RoleInstanceProperties",
    "RoleInstanceView",
    "RoleInstances",
    "StatusCodeCount",
    "UpdateDomain",
    "UpdateDomainListResult",
    "DiskSecurityProfile",
    "LinuxParameters",
    "LinuxPatchSettings",
    "PatchInstallationDetail",
    "PropertyUpdatesInProgress",
    "PurchasePlanAutoGenerated",
    "UefiSettings",
    "VirtualMachineImageFeature",
    "VirtualMachineInstallPatchesParameters",
    "VirtualMachineInstallPatchesResult",
    "WindowsParameters",
    "ApiErrorAutoGenerated",
    "ApiErrorAutoGenerated2",
    "CloudErrorAutoGenerated",
    "CloudErrorAutoGenerated2",
    "OSFamily",
    "OSFamilyListResult",
    "OSFamilyProperties",
    "OSVersion",
    "OSVersionListResult",
    "OSVersionProperties",
    "OSVersionPropertiesBase",
    "ProxyResource",
    "PublicIPAddressSku",
    "RestorePoint",
    "RestorePointCollection",
    "RestorePointCollectionListResult",
    "RestorePointCollectionSourceProperties",
    "RestorePointCollectionUpdate",
    "RestorePointSourceMetadata",
    "RestorePointSourceVMDataDisk",
    "RestorePointSourceVMOSDisk",
    "RestorePointSourceVMStorageProfile",
    "VirtualMachineIpTag",
    "VirtualMachineNetworkInterfaceConfiguration",
    "VirtualMachineNetworkInterfaceDnsSettingsConfiguration",
    "VirtualMachineNetworkInterfaceIPConfiguration",
    "VirtualMachinePublicIPAddressConfiguration",
    "VirtualMachinePublicIPAddressDnsSettingsConfiguration",
    "CapacityReservation",
    "CapacityReservationGroup",
    "CapacityReservationGroupInstanceView",
    "CapacityReservationGroupListResult",
    "CapacityReservationGroupUpdate",
    "CapacityReservationInstanceView",
    "CapacityReservationInstanceViewWithName",
    "CapacityReservationListResult",
    "CapacityReservationProfile",
    "CapacityReservationUpdate",
    "CapacityReservationUtilization",
    "SpotRestorePolicy",
    "SupportedCapabilities",
    "ApplicationProfile",
    "PirCommunityGalleryResource",
    "CommunityGallery",
    "CommunityGalleryImage",
    "CommunityGalleryImageVersion",
    "SoftDeletePolicy",
    "VMGalleryApplication",
    "VMSizeProperties",
    "CommunityGalleryInfo",
    "GalleryExtendedLocation",
    "GalleryTargetExtendedLocation",
    "OSDiskImageSecurityProfile",
    "RegionalSharingStatus",
    "SharingStatus",
    "DiskRestorePointInstanceView",
    "DiskRestorePointReplicationStatus",
    "RestorePointInstanceView",
    "VMDiskSecurityProfile",
    "VirtualMachineScaleSetHardwareProfile",
    "CommunityGalleryImageList",
    "CommunityGalleryImageVersionList",
    "SharedGalleryDiskImage",
    "SharedGalleryDataDiskImage",
    "SharedGalleryImageVersionStorageProfile",
    "SharedGalleryOSDiskImage",
    "UserArtifactSettings",
    "DedicatedHostGroupPropertiesAdditionalCapabilities",
    "LinuxVMGuestPatchAutomaticByPlatformSettings",
    "ProximityPlacementGroupPropertiesIntent",
    "VmImagesInEdgeZoneListResult",
    "WindowsVMGuestPatchAutomaticByPlatformSettings",
    "CopyCompletionError",
    "GalleryApplicationCustomAction",
    "GalleryApplicationCustomActionParameter",
    "GalleryArtifactSafetyProfileBase",
    "GalleryApplicationVersionSafetyProfile",
    "GalleryArtifactVersionFullSource",
    "GalleryDiskImageSource",
    "GalleryImageVersionSafetyProfile",
    "LatestGalleryImageVersion",
    "PolicyViolation",
    "SystemData",
    "PriorityMixPolicy",
    "LoadBalancerFrontendIpConfiguration",
    "LoadBalancerFrontendIpConfigurationProperties",
    "AlternativeOption",
    "ImageDeprecationStatus",
    "OSImageNotificationProfile",
    "OSProfileProvisioningData",
    "ServiceArtifactReference",
    "CachingTypes",
    "DiskCreateOptionTypes",
    "OperatingSystemTypes",
    "ProtocolTypes",
    "SettingNames",
    "StatusLevelTypes",
    "UpgradeMode",
    "VirtualMachineScaleSetSkuScaleType",
    "VirtualMachineSizeTypes",
    "AccessLevel",
    "DiskCreateOption",
    "OperatingSystemStateTypes",
    "StorageAccountTypes",
    "IPVersion",
    "MaintenanceOperationResultCodeTypes",
    "ResourceSkuCapacityScaleType",
    "ResourceSkuRestrictionsReasonCode",
    "RollingUpgradeActionType",
    "RollingUpgradeStatusCode",
    "ResourceSkuRestrictionsType",
    "IntervalInMins",
    "ResourceIdentityType",
    "UpgradeOperationInvoker",
    "UpgradeState",
    "VirtualMachineEvictionPolicyTypes",
    "VirtualMachinePriorityTypes",
    "ProximityPlacementGroupType",
    "SnapshotStorageAccountTypes",
    "AggregatedReplicationState",
    "AvailabilitySetSkuTypes",
    "DiffDiskOptions",
    "DiskStorageAccountTypes",
    "GalleryImagePropertiesProvisioningState",
    "GalleryImageVersionPropertiesProvisioningState",
    "GalleryPropertiesProvisioningState",
    "HostCaching",
    "ReplicationState",
    "ReplicationStatusTypes",
    "DiskState",
    "HyperVGeneration",
    "DedicatedHostLicenseTypes",
    "GalleryApplicationVersionPropertiesProvisioningState",
    "HyperVGenerationType",
    "HyperVGenerationTypes",
    "StorageAccountType",
    "VirtualMachineScaleSetScaleInRules",
    "DiskEncryptionSetIdentityType",
    "EncryptionType",
    "DiffDiskPlacement",
    "OrchestrationServiceNames",
    "OrchestrationServiceState",
    "OrchestrationServiceStateAction",
    "NetworkAccessPolicy",
    "PrivateEndpointConnectionProvisioningState",
    "PrivateEndpointServiceConnectionStatus",
    "ExecutionState",
    "InGuestPatchMode",
    "PatchAssessmentState",
    "PatchOperationStatus",
    "RebootStatus",
    "SoftwareUpdateRebootBehavior",
    "VmDiskTypes",
    "DiskEncryptionSetType",
    "ExtendedLocationTypes",
    "GallerySharingPermissionTypes",
    "SelectPermissions",
    "SharedToValues",
    "SharingProfileGroupTypes",
    "SharingUpdateOperationTypes",
    "CloudServiceUpgradeMode",
    "DiskDetachOptionTypes",
    "DiskSecurityTypes",
    "LinuxVMGuestPatchMode",
    "OrchestrationMode",
    "PatchInstallationState",
    "SecurityTypes",
    "VMGuestPatchClassificationLinux",
    "VMGuestPatchClassificationWindows",
    "VMGuestPatchRebootBehavior",
    "VMGuestPatchRebootSetting",
    "VMGuestPatchRebootStatus",
    "WindowsVMGuestPatchMode",
    "ConsistencyModeTypes",
    "DeleteOptions",
    "DiskDeleteOptionTypes",
    "ExpandTypesForGetVMScaleSets",
    "IPVersions",
    "InstanceViewTypes",
    "LinuxPatchAssessmentMode",
    "NetworkApiVersion",
    "OperatingSystemType",
    "PublicIPAddressSkuName",
    "PublicIPAddressSkuTier",
    "PublicIPAllocationMethod",
    "RestorePointCollectionExpandOptions",
    "WindowsPatchAssessmentMode",
    "CapacityReservationGroupInstanceViewTypes",
    "CapacityReservationInstanceViewTypes",
    "ExpandTypesForGetCapacityReservationGroups",
    "PublicNetworkAccess",
    "ExtendedLocationType",
    "ReplicationMode",
    "Architecture",
    "ConfidentialVMEncryptionType",
    "GalleryExpandParams",
    "GalleryExtendedLocationType",
    "SharingState",
    "ArchitectureTypes",
    "RepairAction",
    "RestorePointExpandOptions",
    "SecurityEncryptionTypes",
    "DataAccessAuthMode",
    "GalleryProvisioningState",
    "SharedGalleryHostCaching",
    "LinuxVMGuestPatchAutomaticByPlatformRebootSetting",
    "WindowsVMGuestPatchAutomaticByPlatformRebootSetting",
    "CopyCompletionErrorReason",
    "GalleryApplicationCustomActionParameterType",
    "PolicyViolationCategory",
    "CloudServiceSlotType",
    "DiskControllerTypes",
    "AlternativeType",
    "ImageState",
]
__all__.extend([p for p in _patch_all if p not in __all__])
_patch_sdk()
